RE: utf8, HTML::Entities, feat freeze (Was: Perl 5.6 feature free ze)

From: Dan Sugalski [mailto:dan@sidhe.org]
 
> At 03:58 PM 8/29/99 -0700, Gurusamy Sarathy wrote:
> >On Sun, 29 Aug 1999 18:14:42 EDT, Dan Sugalski wrote:
> >>At 03:14 PM 8/29/99 -0700, Gurusamy Sarathy wrote:
> >>>Which is already the case!  C<use caller 'encoding'> is
> >>>implemented via caller().
> >>
> >>I see. 'Swhat I get for not checking the latest docs. 
> >>
> >>Are there any plans to flesh out the hints so there's more 
> in there than
> >>just utf8?
> >
> >I don't have any just yet, but it would be the logical spot to
> >put all other compile-time op-specific hints.  Note that $^H
> >already exposes the rest.
> 
> True, but having to look two places is a bit awkward. (Plus 
> there's only
> room for 32 options in $^H, unless the lexwarn patches 
> changed things when
> I wasn't looking...)

Lexical Warnings uses both $^W and ${^Warnings}. The patch I just posted
moved the bitmask from $^B to ${^Warnings}. I think Ilya (?) wanted $^B for
something else.

Paul
0
paul
8/30/1999 8:25:57 AM
perl.perl5.porters 47801 articles. 1 followers. Follow

0 Replies
417 Views

Similar Articles

[PageSpeed] 6

Reply:

Similar Artilces:

RE: [PATCH 5.6.0-RC2] noTTY (was RE: [5.6.0-RC2] Debugger problem )
From: Tom Christiansen [mailto:tchrist@chthon.perl.com] > >Here is a patch that makes "TTY" and "noTTY" booleans. > > Ah, but the former is not. :-( It's string-valued: > > `TTY' The TTY to use for debugging I/O. > > but its negator is Boolean: > > `noTTY' If set, goes in `NonStop' mode, > and would not connect to a TTY. > > Wacky, eh? You'd think one should set TTY to '' to > achieve noTTY. Ouch! *** perl5db.pl.orig Fri Mar 17 11:06:37 2000 ...

Client 6.5.5 and 6.5.6
I am testing this before rolling it out to users--in the item lists, is there a reason that the year no longer displays in the date column (We are upgrading from SP2 and it is fine there)? It now reads mm/dd and the time instead of mm/dd/yy and the time. This is also true of the header when you open an item. It is particulalry a problem when looking at document references. This is not unique to me, is it? Found it--in the Options for date and Time--now, is it possible that the SP5 update changed the settings? "PatM" <pmuellerNOSPAM@cmt-law.com> wrote in ...

upgrade from 6.5.5 to 6.5.6
Hi, We are going to upgrade from 6.5.5 to 6.5.6 to hopefully solve the problem with sending mail to yahoo. My question is do I have to upgrade everything? On one server we have the MTA, GWIA, POA for our main postoffice and webaccess. On the second server we have 4 other postoffice's for our student email. Can I just upgrade the main server with the MTA, GWIA, POA and webaccess and leave the other server alone at 6.5.5? If so will any reconfiguration be neccessary on the old post offices? > Hi, > We are going to upgrade from 6.5.5 to 6.5.6 to hopefully solve th...

RE: tentative 5.8.0 release schedule (was Re: perl5.6.1 spawn pro blem while redirect STDOUT)
Just my 2 cents, devalued for inflation. I'd recommend everyone keep those enhancements to themselves unless you are fairly certain that there will be little chance of introducing new bugs. Best to concentrate on fixes at this point. --Jordan Henderson Policy prohibits the inclusion of contact information in email signature blocks. Please request contact information via return email if you require it. The reason grandparents and grandchildren get along so well is that they have a common enemy. --Sam Levenson > -----Original Message----- > Fr...

RE: [ID 20010730.038] constant item check broken in 5.6.1 (works in 5.003 and 5.6.0)
> -----Original Message----- > From: root [mailto:root@interservers.com] > (user,group)=split(//,$_); Interesting. That ran fine for me, but this gave me a coredump: (user,$group)=split(//,$_); or even this: (user,$group)=undef; Douglas Wilson On Tue, Jul 31, 2001 at 08:29:33AM -0700, Wilson, Doug wrote: > > > > -----Original Message----- > > From: root [mailto:root@interservers.com] > > > (user,group)=split(//,$_); > > Interesting. That ran fine for me, but this gave me a coredump: > > (user,$group)=split(//,$...

RE: 5.6.1-T2 -> 5.6.1
Actually, implementing the GC part is relatively easy. Its the "find all root pointers and follow all embedded pointers in them" that is hard :-). I suspect the biggest problem wouldn't necessarily be perl itself, but XS code. Is it legitimate now for XS code to hold global pointers to perl objects which nobody else knows about? If so, its probably impossible to implement backward compatible GC that doesn't require any XS code modifications. > -----Original Message----- > From: Alan Burlison [mailto:Alan.Burlison@uk.sun.com] > Sent: Friday, March 02, 20...

Possible? Re-install NW 6.5 Sp1a on a 6.5 Sp1a?
I thought this was possible but everytime i try i fail... The Setup: 1 NW 6.5 Sp1a freshly installed, works like a clock. Then... i go to X, install. add product... and then selecting my NW 6.5 Sp1a CD-ROM and install... Everytime its gets a weird abend after install and the first reboot. The screen flimmer fast as a bat out of a hot place and says someting about processor exeption... (what a precise description... phew) Which all make me wonder... can it or cant it be done? Re-install a NW 6.5? J P +------------------------------- Johan Pettersson o- , computer...

Patched 6.5.4 with 6.5.6 but agents are still running 6.5.4
I recently attempted to patch GroupWise 6.5.4 with the most recent patch 6.5.6. After the update finished, I restarted the server, checked all agents and noticed that they all were still running version 6.5.4. However, the first time that I attempted the patch, and I got to the end of the installation, I chose the option to automatically update the startup files, and to start the PO and the Domain (after clicking finish). When the domain and the PO started on the server (after I clicked on finish), they where running 6.5.6, but when I restarted the server and checked the ver...

(fwd) Re: Smoke 21052 irix 6.5 6.5.20m IP32 r5000
I am noting that -DHAS_LDBL_SPRINTF_BUG_LESS1 is _not_ getting defined (but, correctly, -DHAS_LDBL_SPRINTF_BUG _is_), which may be related to the below. I can try to check out why it isn't getting defined properly, but am currently somewhat under the weather (throwing up) and am having to deal with bureaucratic matters related to the start of the term, so it may take me a while... I've also run the full test harness w/verbose, BTW, if anyone's interested (I didn't see anything different). Tels says that the Math::BigInt failures are due to the pow problems. -Alle...

[ID 20020427.004] %^H feature broken between 5.6.0 and 5.6.1
This is a bug report for perl from mjd@plover.com, generated with the help of perlbug 1.33 running under perl v5.6.1. ----------------------------------------------------------------- [Please enter your report here] Here is 'mypragma.pm': package mypragma; sub import { my ($package, @args) = @_; print "# enabling pragma (@args)\n"; $^H |= 0x00020000; $^H{mypragma} = 'ON'; } 1; Here is P.pl: { use mypragma; } BEGIN { print "mypragma is $^H{mypragma}\n" } 'myp...

Can I: Client 6.5.6 w/ Server 6.5.5
Real basic, can I run the SP 6 client software against the SP 5 server agents? Ryan Yep Cheers Dave -- Dave Parkes [NSCS] Occasionally resident at http://support-forums.novell.com/ ...

Upgrade Netware6.5.6 to 6.5.7 with GroupWise 6.5
Is there any problems that I need to know about before I apply the sp7 patch to this GroupWise server. At the present this GW server is a stand alone server, and after a week it unloads tomcat4 which shuts down webacc module and the users can not connect with Webacc. I have worked on this problem for a while now, upgraded java and several others things. I hope there won't be any problems with this patch and sp7. Thanks, Tim Support-forums.novell.com, > Is there any problems that I need to know about before I apply the sp7 > patch to this GroupWise server. At the p...

[PATCH 5.6.0-RC2] noTTY (was RE: [5.6.0-RC2] Debugger problem )
From: Tom Christiansen [mailto:tchrist@chthon.perl.com] > >Test 2 uses this to silence the debugger > > > $ENV{'PERLDB_OPTS'} = 'noTTY' ; > > >This feature of the debugger seems to be broken in 5.6.0-RC2. > .... > > Back to your option ssue. The fix is to designate "noTTY" a boolean. > But this just dodges the real bug, which was that it was a design > flaw that some variables are 0 or 1, others are null or nonnull, > and at least one--this case in particular--you've got a "foo" and > a...

updated from GW 6.5.4 to GW 6.5.6 but agents still run at 6.5.4
I recently attempted to update from GW 6.5.4 to GW 6.5.6. I ran the service pack and followed direction very closely, and once I finished updating the Primary Domain and the Post Office, I check marked to update the startup files and to launch the MTA and PO. When they launched after my update they were running at 6.5.6, but when I reset the server they went back to running at 6.5.4. I also need to update the GWIA and the WebAccess Agent. Do I have to do those separately? This is really the first time that I have ever patched a GW System. Are there more detailed instructi...

Upgrading 5.5.5 to 6.5.5
I am going to be upgrading from GW 5.5.5 to GW6.5.5 Anybody aware of any gotcha's or have any advice? LauraB@itdynamics.co.za wrote: > I am going to be upgrading from GW 5.5.5 to GW6.5.5 Anybody aware of > any gotcha's or have any advice? Not really. Before you upgrade rebuilt the post offices and domains or do at least a validate of the databases. If you are not really experienced I recommend to purchase the caledonia upgrade guide. -- Cheers, Edward ...

Web resources about - RE: utf8, HTML::Entities, feat freeze (Was: Perl 5.6 feature free ze) - perl.perl5.porters

Resources last updated: 1/11/2016 3:11:22 PM